# Uses of Interface
javax.security.auth.callback.Callback

Packages that use Callback
Package
Description
com.sun.security.auth.callback
Provides an implementation of `CallbackHandler`.
javax.security.auth.callback
This package provides the classes necessary for services to interact with applications in order to retrieve information (authentication data including usernames or passwords, for example) or to display information (error and warning messages, for example).
javax.security.sasl
Contains class and interfaces for supporting SASL.

- ## Uses of Callback in com.sun.security.auth.callback

  Methods in com.sun.security.auth.callback with parameters of type Callback
  Modifier and Type
  Method
  Description
  `void`
  TextCallbackHandler.`handle(Callback[] callbacks)`
  Handles the specified set of callbacks.

- ## Uses of Callback in javax.security.auth.callback

  Classes in javax.security.auth.callback that implement Callback
  Modifier and Type
  Class
  Description
  `class`
  `ChoiceCallback`
  Underlying security services instantiate and pass a `ChoiceCallback` to the `handle` method of a `CallbackHandler` to display a list of choices and to retrieve the selected choice(s).
  `class`
  `ConfirmationCallback`
  Underlying security services instantiate and pass a `ConfirmationCallback` to the `handle` method of a `CallbackHandler` to ask for YES/NO, OK/CANCEL, YES/NO/CANCEL or other similar confirmations.
  `class`
  `LanguageCallback`
  Underlying security services instantiate and pass a `LanguageCallback` to the `handle` method of a `CallbackHandler` to retrieve the `Locale` used for localizing text.
  `class`
  `NameCallback`
  Underlying security services instantiate and pass a `NameCallback` to the `handle` method of a `CallbackHandler` to retrieve name information.
  `class`
  `PasswordCallback`
  Underlying security services instantiate and pass a `PasswordCallback` to the `handle` method of a `CallbackHandler` to retrieve password information.
  `class`
  `TextInputCallback`
  Underlying security services instantiate and pass a `TextInputCallback` to the `handle` method of a `CallbackHandler` to retrieve generic text information.
  `class`
  `TextOutputCallback`
  Underlying security services instantiate and pass a `TextOutputCallback` to the `handle` method of a `CallbackHandler` to display information messages, warning messages and error messages.
  Methods in javax.security.auth.callback that return Callback
  Modifier and Type
  Method
  Description
  `Callback`
  UnsupportedCallbackException.`getCallback()`
  Get the unrecognized `Callback`.
  Methods in javax.security.auth.callback with parameters of type Callback
  Modifier and Type
  Method
  Description
  `void`
  CallbackHandler.`handle(Callback[] callbacks)`
  Retrieve or display the information requested in the provided Callbacks.
  Constructors in javax.security.auth.callback with parameters of type Callback
  Modifier
  Constructor
  Description
  ``
  `UnsupportedCallbackException(Callback callback)`
  Constructs an `UnsupportedCallbackException` with no detail message.
  ``
  `UnsupportedCallbackException(Callback callback, String msg)`
  Constructs a UnsupportedCallbackException with the specified detail message.

- ## Uses of Callback in javax.security.sasl

  Classes in javax.security.sasl that implement Callback
  Modifier and Type
  Class
  Description
  `class`
  `AuthorizeCallback`
  This callback is used by `SaslServer` to determine whether one entity (identified by an authenticated authentication id) can act on behalf of another entity (identified by an authorization id).
  `class`
  `RealmCallback`
  This callback is used by `SaslClient` and `SaslServer` to retrieve realm information.
  `class`
  `RealmChoiceCallback`
  This callback is used by `SaslClient` and `SaslServer` to obtain a realm given a list of realm choices.